<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemAtlInspectCertificateMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemAtlInspectCertificate">
        <id column="id" property="id" />
        <result column="legal_paper_id" property="legalPaperId" />
        <result column="project_code" property="projectCode" />
        <result column="source_paper_id" property="sourcePaperId" />
        <result column="source_paper_type" property="sourcePaperType" />
        <result column="document_number1" property="documentNumber1" />
        <result column="document_number2" property="documentNumber2" />
        <result column="document_number3" property="documentNumber3" />
        <result column="document_number4" property="documentNumber4" />
        <result column="document_number" property="documentNumber" />
        <result column="paper_title" property="paperTitle" />
        <result column="site_name" property="siteName" />
        <result column="site_address" property="siteAddress" />
        <result column="safety_person" property="safetyPerson" />
        <result column="use_nature" property="useNature" />
        <result column="site_build_name" property="siteBuildName" />
        <result column="site_build_floor" property="siteBuildFloor" />
        <result column="site_build_area" property="siteBuildArea" />
        <result column="use_situation" property="useSituation" />
        <result column="fire_facilities" property="fireFacilities" />
        <result column="filling_time" property="fillingTime" />
        <result column="approver_account" property="approverAccount" />
        <result column="approver_name" property="approverName" />
        <result column="approval_time" property="approvalTime" />
        <result column="whether_deliver" property="whetherDeliver" />
        <result column="document_version" property="documentVersion" />
        <result column="competent_company_id" property="competentCompanyId" />
        <result column="creator" property="creator" />
        <result column="creator_name" property="creatorName" />
        <result column="create_time" property="createTime" />
        <result column="create_ip" property="createIp" />
        <result column="update_person" property="updatePerson" />
        <result column="update_name" property="updateName" />
        <result column="update_time" property="updateTime" />
        <result column="update_ip" property="updateIp" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="row_version" property="rowVersion" />
        <result column="spb_id" property="spbId" />
        <result column="is_read" property="isRead" />
        <result column="read_time" property="readTime" />
        <result column="bdp_audit" property="bdpAudit" />
        <result column="union_key" property="unionKey" />
    </resultMap>

</mapper>
